any changes related to org.springframework with latest karaf

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

any changes related to org.springframework with latest karaf

shivibansal
This post was updated on .
CONTENTS DELETED
The author has deleted this message.
Reply | Threaded
Open this post in threaded view
|

Re: any changes related to org.springframework with latest karaf

shivibansal
Hi guys,

do you have any inputs here to share?
 I am adding wiring dependency in maven as
<bundle
start-level="85">wrap:mvn:org.springframework/spring-webmvc/5.0.2.RELEASE</bundle>

but still it asks for the OSGI wiring dependency.
olve services/1.0.0.SNAPSHOT: missing requirement [services/1.0.0.SNAPSHOT]
osgi
.wiring.package;
filter:="(&(osgi.wiring.package=org.springframework.http)(versi
on>=3.2.17.RELEASE))"]]

I was able to resolve the dependency issues for rest of the libraries by
adding them in features.xml in same way but only for spring framework, it is
failing.



--
Sent from: http://karaf.922171.n3.nabble.com/Karaf-Dev-f930721.html